Tutaj możesz pobrać najnowszą dystrybucje języka Ruby dostarczaną w kilku wariantach. Obecna wersja stabilna to 1.8.7. Proszę pamiętać o zapoznaniu się z Licencją Rubiego.

Ruby – Kod Źródłowy

Instalacja ze źródeł jest odpowiednim rozwiązaniem jeśli czujesz się pewnie na swojej platformie i być może potrzebujesz szczególnych ustawień dla swojego środowiska. Jest to także dobre rozwiązanie w przypadku gdy nie ma specjalnie przygotowanych pakietów na twoją platformę.

Ruby dla Windows

Na platformie Windows istnieje kilka możliwości instalacji Rubiego. Pierwsza z nich to po prostu instalacja skompilowanych binariów. Kolejna z nich to użycie graficznego instalatora (One-Click Installer). Jeśli nie jesteś pewien jak zainstalować Rubiego, graficzny instalator może być najlepszym rozwiązaniem. (Dodatkowo, graficzny instalator jest dostarczany z wieloma przydatnymi bibliotekami.)

Ruby pod Linuksem

W zależności od używanej przez Ciebie dystrybucji, istnieje kilka sposobów instalacji Rubiego. Pierwsza możliwość to po prostu pobranie kodu źródłowego powyżej i ręczna ich kompilacja. Na niektórych jednak platformach istnieje możliwość instalacji przy pomocy menedżera pakietów, która czyni instalacje Rubiego ekstremalnie łatwą.

Dla przykładu, platforma Debian lub Ubuntu apt-get udostępnia łatwe i eleganckie rozwiązanie:

$ sudo apt-get install ruby

Ruby dla OS X

Istnieje kilka możliwości instalacji najnowszej wersji Rubiego na platformie Macintosh OS X. Locomotive jest dobrym wyborem jeśli szukasz czegoś do szybkiego uruchomienia środowiska do tworzenia aplikacji w frameworku Rails. Użycie MacPorts lub Fink może okazać się lepszym rozwiązaniem dla doświadczonych użytkowników.

Używając MacPorts, możesz zainstalować Ruby przy pomocy polecenia…

$ sudo port install ruby

Używając Fink Commandera możesz zainstalować pakiet Ruby z poziomu interfejsu graficznego.

Dodatkowo, od kiedy OS X bazuje na Uniksie, ściągniecie i instalacja z źródeł jest równie łatwa i efektywna jak inne rozwiązania.

Jeśli chcesz zobaczyć szczegółowo instalacje Ruby (i Railsów), świetny artykuł Dana Benjamina Building Ruby, Rails, LightTPD, and MySQL on Tiger pozwoli ci uruchomić środowisko pracy bardzo szybko.

Uwaga: Ruby 1.8.4 razem z Railsami powinien być dostępny domyślnie w następnej wersji Mac OS X, Leopard (obecnie w wersji beta). (Więcej informacji tutaj.) Na szczęście do czasu wydania wersji Leopard wszystko będzie działać bez twojej ingerencji, po prostu “out of the box”.